# $Revision: 1.31 $, $Date: 2012/01/16 23:25:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SQL
%define		pnam	Abstract
Summary:	SQL::Abstract - generate SQL from Perl data structures
Summary(pl.UTF-8):	SQL::Abstract - generujący SQL z perlowych struktur danych
Name:		perl-SQL-Abstract
Version:	1.72
Release:	3
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca64d0e803eafa040e7c712afe482c94
URL:		http://search.cpan.org/dist/SQL-Abstract/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Clone) >= 0.31
BuildRequires:	perl-Class-Accessor-Grouped >= 0.10002
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-Getopt-Long-Descriptive >= 0.086
BuildRequires:	perl-Hash-Merge >= 0.12
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Deep >= 0.106
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Warn
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module was inspired by the excellent DBIx::Abstract. However, in
using the module I found that what I wanted to do was generate SQL,
but still retain complete control over my statement handles and use
the DBI interface. So, I set out to create an abstract SQL generation
module.

%description -l pl.UTF-8
Ten moduł był zainspirowany wspaniałym DBIx::Abstract. Jest to moduł
do abstrakcyjnego tworzenia SQL, pozwalający na pełną kontrolę nad
wyrażeniami i używanie interfejsu DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/SQL/Abstract

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/format-sql
#{perl_vendorlib}/DBIx/Class/Storage/Debug/PrettyPrint.pm
%dir %{perl_vendorlib}/SQL/Abstract
%{perl_vendorlib}/SQL/*.pm
%{perl_vendorlib}/SQL/Abstract/Tree.pm
%{perl_vendorlib}/SQL/Abstract/Test.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SQL-Abstract.spec,v $
Revision 1.31  2012/01/16 23:25:15  zbyniu
- more BRs; rel 3

Revision 1.30  2012/01/16 21:59:44  zbyniu
- release 2

Revision 1.29  2012/01/16 18:02:31  zbyniu
- up to 1.72

Revision 1.28  2009/10/09 12:43:22  amateja
- updated to 1.60

Revision 1.27  2009/09/09 10:50:03  amateja
- updated to 1.58
- added BRs for tests
- added %doc
- added missing file in %files section

Revision 1.26  2009/03/02 15:10:59  radek
- version 1.24

Revision 1.25  2008/07/27 22:47:46  arekm
- release 2

Revision 1.24  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.22  2006/08/22 15:31:30  glen
- rel 1, generic url

Revision 1.21  2006/08/11 19:50:25  agaran
- up to 1.21, rel 0.1, builds here

Revision 1.20  2005/10/11 19:43:54  migo
- up to 1.20
- add dir for submodules into package

Revision 1.19  2005/06/13 12:28:03  petec
- up to 1.19

Revision 1.18  2004/11/03 22:30:42  paladine
- formatting

Revision 1.17  2004/09/05 16:55:24  adamg
- updated to 1.17

Revision 1.16  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/02 08:28:25  ankry
- license fixed, cosmetics

Revision 1.14  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.13  2003/11/08 20:28:02  migo
- up to 1.15, new bcond style

Revision 1.12  2003/09/18 13:21:05  adamg
- updated to 1.13

Revision 1.11  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:02  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:47:29  ankry
- version 1.10

Revision 1.2  2002/08/31 21:43:43  qboosh
- pl description

Revision 1.1  2002/08/31 12:24:13  radek
- new, STBR
